URI Class Reference
Collaboration diagram for URI:
[legend]

## Public Member Functions

| operator std::string ()
void | operator= (const std::string &From)
bool | empty ()
| URI (std::string Path)

## Static Public Member Functions

static std::string | SiteOnly (const std::string &URI)
static std::string | ArchiveOnly (const std::string &URI)
static std::string | NoUserPassword (const std::string &URI)

## Public Attributes

std::string | Access
std::string | User
std::string | Password
std::string | Host
std::string | Path
unsigned int | Port

The documentation for this class was generated from the following files:

- apt-pkg/contrib/strutl.h
- apt-pkg/contrib/strutl.cc